<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPMarginGroup</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_margin_group.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#friends">Przyjaciele</a> &#124;
<a href="class_q_c_p_margin_group-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPMarginGroup</div></div>
</div><!--header-->
<div class="contents">

<p>A margin group allows synchronization of margin sides if working with multiple layout elements.  
 <a href="class_q_c_p_margin_group.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPMarginGroup</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group__inherit__graph.png" border="0" usemap="#a_q_c_p_margin_group_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_margin_group_inherit__map" id="a_q_c_p_margin_group_inherit__map">
<area shape="rect" title="A margin group allows synchronization of margin sides if working with multiple layout elements." alt="" coords="5,79,129,104"/>
<area shape="rect" title=" " alt="" coords="32,5,103,31"/>
<area shape="poly" title=" " alt="" coords="70,44,70,79,65,79,65,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPMarginGroup:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group__coll__graph.png" border="0" usemap="#a_q_c_p_margin_group_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_margin_group_coll__map" id="a_q_c_p_margin_group_coll__map">
<area shape="rect" title="A margin group allows synchronization of margin sides if working with multiple layout elements." alt="" coords="10,753,134,779"/>
<area shape="rect" title=" " alt="" coords="487,5,558,31"/>
<area shape="poly" title=" " alt="" coords="474,24,346,30,191,43,120,52,61,64,21,77,11,85,8,92,8,664,13,691,26,715,59,751,55,755,22,718,8,693,3,665,3,91,7,81,19,73,60,59,119,47,191,38,346,25,473,18"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="469,80,576,105"/>
<area shape="poly" title=" " alt="" coords="525,45,525,80,520,80,520,45"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="716,753,799,779"/>
<area shape="poly" title=" " alt="" coords="572,16,661,19,763,30,809,39,847,52,873,69,880,79,883,91,883,665,880,682,874,697,851,723,822,742,793,756,791,751,820,737,848,719,869,694,875,680,877,664,877,92,875,81,869,72,844,56,808,44,762,35,661,25,572,22"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="474,651,574,676"/>
<area shape="poly" title=" " alt="" coords="461,679,366,703,332,717,297,732,213,751,135,762,134,756,212,745,295,727,330,713,364,697,460,674"/>
<area shape="poly" title=" " alt="" coords="547,639,561,625,590,587,608,543,614,508,614,478,609,451,600,426,581,373,573,341,571,304,571,166,567,149,559,133,536,107,540,104,563,130,572,147,576,166,576,304,579,341,586,372,605,425,614,450,619,477,620,508,613,545,595,590,565,628,551,643"/>
<area shape="poly" title=" " alt="" coords="549,683,599,727,628,739,659,748,716,759,716,764,658,754,626,744,596,732,546,687"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html" title=" " alt="" coords="231,753,388,779"/>
<area shape="poly" title=" " alt="" coords="503,688,448,732,414,746,379,756,377,751,412,741,445,727,500,683"/>
<area shape="rect" title=" " alt="" coords="527,519,599,544"/>
<area shape="poly" title=" " alt="" coords="558,558,530,651,525,650,553,556"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="185,519,260,544"/>
<area shape="poly" title=" " alt="" coords="274,544,305,554,326,566,336,582,339,597,341,612,351,625,371,635,402,643,474,654,473,660,401,648,370,640,348,629,337,614,334,598,331,584,322,570,303,559,272,549"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="181,651,256,676"/>
<area shape="poly" title=" " alt="" coords="218,558,216,568,214,597,216,626,219,650,214,651,211,627,209,597,211,568,213,557"/>
<area shape="poly" title=" " alt="" coords="456,102,393,110,330,123,282,142,269,153,264,166,264,430,261,456,253,481,233,519,228,517,248,479,256,455,259,430,259,166,264,150,279,137,329,118,392,105,455,97"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="304,155,440,180"/>
<area shape="poly" title=" " alt="" coords="488,114,397,157,395,152,486,109"/>
<area shape="poly" title=" " alt="" coords="456,100,341,109,213,123,109,143,78,155,70,161,68,167,68,532,72,563,85,585,104,604,131,624,156,640,182,650,180,655,153,645,128,629,101,608,80,588,67,565,63,533,63,165,66,157,76,150,108,137,212,118,341,104,455,95"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="608,204,739,229"/>
<area shape="poly" title=" " alt="" coords="564,109,594,127,636,166,666,202,662,205,632,170,590,131,561,114"/>
<area shape="poly" title=" " alt="" coords="726,748,704,731,688,716,672,702,623,683,574,673,575,667,624,678,675,698,692,712,707,727,729,744"/>
<area shape="poly" title=" " alt="" coords="781,742,792,728,807,698,811,665,811,167,804,151,787,138,760,127,726,118,648,105,576,99,577,94,649,100,727,112,761,122,789,133,809,148,816,165,816,665,812,699,797,731,785,745"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="299,416,402,441"/>
<area shape="poly" title=" " alt="" coords="327,452,308,467,278,497,244,521,240,516,274,493,305,463,324,448"/>
<area shape="poly" title=" " alt="" coords="363,193,359,205,342,278,343,353,351,415,346,416,337,354,337,277,353,203,358,191"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="417,253,506,279"/>
<area shape="poly" title=" " alt="" coords="440,184,461,202,467,215,469,229,467,253,462,253,464,229,462,217,457,206,437,188"/>
<area shape="poly" title=" " alt="" coords="402,257,381,247,364,231,359,218,358,204,364,179,370,181,364,204,364,217,369,228,384,243,404,253"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="353,328,471,353"/>
<area shape="poly" title=" " alt="" coords="448,292,422,329,418,326,443,289"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="426,416,539,441"/>
<area shape="poly" title=" " alt="" coords="474,291,485,328,489,377,487,416,481,415,483,377,480,328,469,292"/>
<area shape="poly" title=" " alt="" coords="398,366,361,417,357,414,393,363"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="103,416,190,441"/>
<area shape="poly" title=" " alt="" coords="138,455,133,475,138,493,159,512,186,522,184,527,156,516,134,496,128,475,132,454"/>
<area shape="poly" title=" " alt="" coords="167,650,153,641,142,628,134,612,131,597,134,582,142,566,161,548,184,538,186,543,164,553,146,570,139,584,136,597,139,610,146,625,157,637,170,646"/>
<area shape="poly" title=" " alt="" coords="311,740,315,704,315,659,308,612,300,590,289,570,275,556,259,546,261,542,279,552,293,566,305,588,313,611,321,659,321,704,317,740"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="43,651,157,676"/>
<area shape="poly" title=" " alt="" coords="132,681,218,727,278,751,276,756,216,732,129,685"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="284,519,377,544"/>
<area shape="poly" title=" " alt="" coords="372,548,395,566,406,582,411,597,415,611,426,625,449,640,475,650,473,655,447,644,422,629,410,614,405,599,401,585,391,570,369,553"/>
<area shape="poly" title=" " alt="" coords="465,454,452,473,440,496,435,520,440,543,445,550,451,555,467,566,499,611,520,649,516,652,495,614,463,570,448,559,441,554,435,545,430,520,435,494,447,471,461,451"/>
<area shape="poly" title=" " alt="" coords="445,450,412,468,346,521,343,517,409,463,442,445"/>
<area shape="poly" title=" " alt="" coords="682,243,689,303,689,533,689,562,685,586,675,607,656,629,638,642,617,652,575,662,574,657,616,647,635,638,653,625,671,604,680,584,684,562,684,533,684,303,677,243"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ac481c20678ec5b305d6df330715f4b7b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#ac481c20678ec5b305d6df330715f4b7b">QCPMarginGroup</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *parentPlot)</td></tr>
<tr class="separator:ac481c20678ec5b305d6df330715f4b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c62becdaac41406ca90f1c2a755e1c"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#a42c62becdaac41406ca90f1c2a755e1c">~QCPMarginGroup</a> ()</td></tr>
<tr class="separator:a42c62becdaac41406ca90f1c2a755e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac967a4dc5fe02ae44aeb43511d5e1bd4"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#ac967a4dc5fe02ae44aeb43511d5e1bd4">elements</a> (<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a> side) const</td></tr>
<tr class="separator:ac967a4dc5fe02ae44aeb43511d5e1bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0d32656d8a5fc5690c4e7693f9d0539"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#ae0d32656d8a5fc5690c4e7693f9d0539">isEmpty</a> () const</td></tr>
<tr class="separator:ae0d32656d8a5fc5690c4e7693f9d0539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a144b67f216e4e86c3a3a309e850285fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#a144b67f216e4e86c3a3a309e850285fe">clear</a> ()</td></tr>
<tr class="separator:a144b67f216e4e86c3a3a309e850285fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:aea6a00373b3a0305de56c34d2423ea99"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#aea6a00373b3a0305de56c34d2423ea99">commonMargin</a> (<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a> side) const</td></tr>
<tr class="separator:aea6a00373b3a0305de56c34d2423ea99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb9c3a35acec655c2895b7eb95ee0524"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#acb9c3a35acec655c2895b7eb95ee0524">addChild</a> (<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a> side, <a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> *element)</td></tr>
<tr class="separator:acb9c3a35acec655c2895b7eb95ee0524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20ab3286062957d99b58db683fe725b0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#a20ab3286062957d99b58db683fe725b0">removeChild</a> (<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a> side, <a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> *element)</td></tr>
<tr class="separator:a20ab3286062957d99b58db683fe725b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a23cfa29e3cc0f33a59141b77d8c04edf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#a23cfa29e3cc0f33a59141b77d8c04edf">mParentPlot</a></td></tr>
<tr class="separator:a23cfa29e3cc0f33a59141b77d8c04edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a954bc89ff8958b9bb6a4a0d08ed5fc0f"><td class="memItemLeft" align="right" valign="top">QHash&lt; <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>, QList&lt; <a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> * &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#a954bc89ff8958b9bb6a4a0d08ed5fc0f">mChildren</a></td></tr>
<tr class="separator:a954bc89ff8958b9bb6a4a0d08ed5fc0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="friends" name="friends"></a>
Przyjaciele</h2></td></tr>
<tr class="memitem:a0790750c7e7f14fdbd960d172655b42b"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_margin_group.html#a0790750c7e7f14fdbd960d172655b42b">QCPLayoutElement</a></td></tr>
<tr class="separator:a0790750c7e7f14fdbd960d172655b42b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p><a class="el" href="class_q_c_p_margin_group.html" title="A margin group allows synchronization of margin sides if working with multiple layout elements.">QCPMarginGroup</a> allows you to tie a margin side of two or more layout elements together, such that they will all have the same size, based on the largest required margin in the group.</p>
<p><br  />
</p><div class="image">
<img src="QCPMarginGroup.png" alt=""/>
<div class="caption">
Demonstration of QCPMarginGroup</div></div>
<p> <br  />
 In certain situations it is desirable that margins at specific sides are synchronized across layout elements. For example, if one <a class="el" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape.">QCPAxisRect</a> is below another one in a grid layout, it will provide a cleaner look to the user if the left and right margins of the two axis rects are of the same size. The left axis of the top axis rect will then be at the same horizontal position as the left axis of the lower axis rect, making them appear aligned. The same applies for the right axes. This is what <a class="el" href="class_q_c_p_margin_group.html" title="A margin group allows synchronization of margin sides if working with multiple layout elements.">QCPMarginGroup</a> makes possible.</p>
<p>To add/remove a specific side of a layout element to/from a margin group, use the <a class="el" href="class_q_c_p_layout_element.html#a516e56f76b6bc100e8e71d329866847d">QCPLayoutElement::setMarginGroup</a> method. To completely break apart the margin group, either call <a class="el" href="class_q_c_p_margin_group.html#a144b67f216e4e86c3a3a309e850285fe">clear</a>, or just delete the margin group.</p>
<h1><a class="anchor" id="QCPMarginGroup-example"></a>
Example</h1>
<p>First create a margin group: </p><div class="fragment"></div><!-- fragment --><p> Then set this group on the layout element sides: </p><div class="fragment"></div><!-- fragment --><p> Here, we've used the first two axis rects of the plot and synchronized their left margins with each other and their right margins with each other. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01207">1207</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ac481c20678ec5b305d6df330715f4b7b" name="ac481c20678ec5b305d6df330715f4b7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac481c20678ec5b305d6df330715f4b7b">&#9670;&#160;</a></span>QCPMarginGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPMarginGroup::QCPMarginGroup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td>
          <td class="paramname"><em>parentPlot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates a new <a class="el" href="class_q_c_p_margin_group.html" title="A margin group allows synchronization of margin sides if working with multiple layout elements.">QCPMarginGroup</a> instance in <em>parentPlot</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03041">3041</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a42c62becdaac41406ca90f1c2a755e1c" name="a42c62becdaac41406ca90f1c2a755e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42c62becdaac41406ca90f1c2a755e1c">&#9670;&#160;</a></span>~QCPMarginGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPMarginGroup::~QCPMarginGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03051">3051</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_a42c62becdaac41406ca90f1c2a755e1c_cgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_a42c62becdaac41406ca90f1c2a755e1c_cgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_a42c62becdaac41406ca90f1c2a755e1c_cgraph" id="aclass_q_c_p_margin_group_a42c62becdaac41406ca90f1c2a755e1c_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,209,45"/>
<area shape="rect" href="class_q_c_p_margin_group.html#a144b67f216e4e86c3a3a309e850285fe" title=" " alt="" coords="257,13,416,38"/>
<area shape="poly" title=" " alt="" coords="209,23,243,23,243,28,209,28"/>
<area shape="rect" href="class_q_c_p_margin_group.html#ac967a4dc5fe02ae44aeb43511d5e1bd4" title=" " alt="" coords="464,13,647,38"/>
<area shape="poly" title=" " alt="" coords="417,23,450,23,450,28,417,28"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="ac967a4dc5fe02ae44aeb43511d5e1bd4" name="ac967a4dc5fe02ae44aeb43511d5e1bd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac967a4dc5fe02ae44aeb43511d5e1bd4">&#9670;&#160;</a></span>elements()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QList&lt; <a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> * &gt; QCPMarginGroup::elements </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>&#160;</td>
          <td class="paramname"><em>side</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a list of all layout elements that have their margin <em>side</em> associated with this margin group. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01215">1215</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_ac967a4dc5fe02ae44aeb43511d5e1bd4_icgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_ac967a4dc5fe02ae44aeb43511d5e1bd4_icgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_ac967a4dc5fe02ae44aeb43511d5e1bd4_icgraph" id="aclass_q_c_p_margin_group_ac967a4dc5fe02ae44aeb43511d5e1bd4_icgraph">
<area shape="rect" title=" " alt="" coords="464,13,647,38"/>
<area shape="rect" href="class_q_c_p_margin_group.html#a144b67f216e4e86c3a3a309e850285fe" title=" " alt="" coords="257,13,416,38"/>
<area shape="poly" title=" " alt="" coords="450,28,416,28,416,23,450,23"/>
<area shape="rect" href="class_q_c_p_margin_group.html#a42c62becdaac41406ca90f1c2a755e1c" title=" " alt="" coords="5,5,209,45"/>
<area shape="poly" title=" " alt="" coords="244,28,210,28,210,23,244,23"/>
</map>
</div>

</div>
</div>
<a id="ae0d32656d8a5fc5690c4e7693f9d0539" name="ae0d32656d8a5fc5690c4e7693f9d0539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0d32656d8a5fc5690c4e7693f9d0539">&#9670;&#160;</a></span>isEmpty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPMarginGroup::isEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns whether this margin group is empty. If this function returns true, no layout elements use this margin group to synchronize margin sides. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03060">3060</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a144b67f216e4e86c3a3a309e850285fe" name="a144b67f216e4e86c3a3a309e850285fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a144b67f216e4e86c3a3a309e850285fe">&#9670;&#160;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPMarginGroup::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Clears this margin group. The synchronization of the margin sides that use this margin group is lifted and they will use their individual margin sizes again. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03076">3076</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_cgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_cgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_cgraph" id="aclass_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,164,31"/>
<area shape="rect" href="class_q_c_p_margin_group.html#ac967a4dc5fe02ae44aeb43511d5e1bd4" title=" " alt="" coords="212,5,395,31"/>
<area shape="poly" title=" " alt="" coords="165,15,198,15,198,21,165,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_icgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_icgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_icgraph" id="aclass_q_c_p_margin_group_a144b67f216e4e86c3a3a309e850285fe_icgraph">
<area shape="rect" title=" " alt="" coords="257,13,416,38"/>
<area shape="rect" href="class_q_c_p_margin_group.html#a42c62becdaac41406ca90f1c2a755e1c" title=" " alt="" coords="5,5,209,45"/>
<area shape="poly" title=" " alt="" coords="244,28,210,28,210,23,244,23"/>
</map>
</div>

</div>
</div>
<a id="aea6a00373b3a0305de56c34d2423ea99" name="aea6a00373b3a0305de56c34d2423ea99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea6a00373b3a0305de56c34d2423ea99">&#9670;&#160;</a></span>commonMargin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPMarginGroup::commonMargin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>&#160;</td>
          <td class="paramname"><em>side</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03099">3099</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_aea6a00373b3a0305de56c34d2423ea99_cgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_aea6a00373b3a0305de56c34d2423ea99_cgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_aea6a00373b3a0305de56c34d2423ea99_cgraph" id="aclass_q_c_p_margin_group_aea6a00373b3a0305de56c34d2423ea99_cgraph">
<area shape="rect" title=" " alt="" coords="5,92,224,117"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a2585bc8c5cc70ee712909751a2fc8909" title=" " alt="" coords="272,5,485,31"/>
<area shape="poly" title=" " alt="" coords="144,89,202,65,271,41,304,32,305,37,273,46,204,70,146,94"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a005c9f0fe84bc1591a2cf2c46fd477b4" title=" " alt="" coords="281,55,476,95"/>
<area shape="poly" title=" " alt="" coords="224,90,267,85,268,90,224,95"/>
<area shape="rect" href="namespace_q_c_p.html#a23a2679d3495c444acc26acc61e35b5b" title=" " alt="" coords="533,92,680,117"/>
<area shape="poly" title=" " alt="" coords="224,104,272,105,485,105,520,104,520,109,485,110,272,110,224,109"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a5eae30e28f28d73fd1c56409c011393e" title=" " alt="" coords="281,170,476,210"/>
<area shape="poly" title=" " alt="" coords="156,115,304,163,302,168,154,120"/>
<area shape="poly" title=" " alt="" coords="477,85,520,91,520,96,476,91"/>
</map>
</div>

</div>
</div>
<a id="acb9c3a35acec655c2895b7eb95ee0524" name="acb9c3a35acec655c2895b7eb95ee0524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb9c3a35acec655c2895b7eb95ee0524">&#9670;&#160;</a></span>addChild()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPMarginGroup::addChild </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>&#160;</td>
          <td class="paramname"><em>side</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> *&#160;</td>
          <td class="paramname"><em>element</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03120">3120</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_acb9c3a35acec655c2895b7eb95ee0524_icgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_acb9c3a35acec655c2895b7eb95ee0524_icgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_acb9c3a35acec655c2895b7eb95ee0524_icgraph" id="aclass_q_c_p_margin_group_acb9c3a35acec655c2895b7eb95ee0524_icgraph">
<area shape="rect" title=" " alt="" coords="443,13,623,38"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a516e56f76b6bc100e8e71d329866847d" title=" " alt="" coords="196,5,395,45"/>
<area shape="poly" title=" " alt="" coords="429,28,395,28,395,23,429,23"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a2fa26d3d22a2854c4da1d80f188db961" title=" " alt="" coords="5,5,148,45"/>
<area shape="poly" title=" " alt="" coords="182,28,149,28,149,23,182,23"/>
</map>
</div>

</div>
</div>
<a id="a20ab3286062957d99b58db683fe725b0" name="a20ab3286062957d99b58db683fe725b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20ab3286062957d99b58db683fe725b0">&#9670;&#160;</a></span>removeChild()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPMarginGroup::removeChild </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>&#160;</td>
          <td class="paramname"><em>side</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a> *&#160;</td>
          <td class="paramname"><em>element</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l03134">3134</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_margin_group_a20ab3286062957d99b58db683fe725b0_icgraph.png" border="0" usemap="#aclass_q_c_p_margin_group_a20ab3286062957d99b58db683fe725b0_icgraph" alt=""/></div>
<map name="aclass_q_c_p_margin_group_a20ab3286062957d99b58db683fe725b0_icgraph" id="aclass_q_c_p_margin_group_a20ab3286062957d99b58db683fe725b0_icgraph">
<area shape="rect" title=" " alt="" coords="443,13,645,38"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a516e56f76b6bc100e8e71d329866847d" title=" " alt="" coords="196,5,395,45"/>
<area shape="poly" title=" " alt="" coords="429,28,395,28,395,23,429,23"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a2fa26d3d22a2854c4da1d80f188db961" title=" " alt="" coords="5,5,148,45"/>
<area shape="poly" title=" " alt="" coords="182,28,149,28,149,23,182,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja przyjaciół i funkcji związanych</h2>
<a id="a0790750c7e7f14fdbd960d172655b42b" name="a0790750c7e7f14fdbd960d172655b42b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0790750c7e7f14fdbd960d172655b42b">&#9670;&#160;</a></span>QCPLayoutElement</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01234">1234</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a23cfa29e3cc0f33a59141b77d8c04edf" name="a23cfa29e3cc0f33a59141b77d8c04edf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23cfa29e3cc0f33a59141b77d8c04edf">&#9670;&#160;</a></span>mParentPlot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a>* QCPMarginGroup::mParentPlot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01221">1221</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a954bc89ff8958b9bb6a4a0d08ed5fc0f" name="a954bc89ff8958b9bb6a4a0d08ed5fc0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a954bc89ff8958b9bb6a4a0d08ed5fc0f">&#9670;&#160;</a></span>mChildren</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QHash&lt;<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>, QList&lt;<a class="el" href="class_q_c_p_layout_element.html">QCPLayoutElement</a>*&gt; &gt; QCPMarginGroup::mChildren</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01222">1222</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_margin_group.html">QCPMarginGroup</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
